#include "mungal4.h"
#pragma hdrstop

#include "l4video.h"

extern "C"
{
	void *dpl_malloc(int n_bytes);
	void *dpl_calloc(size_t n, size_t n_bytes);
	void dpl_free(void *ptr);
	void dpl_free_all();
};

void *dpl_malloc(int n_bytes)
{
	/*STUBBED: DPL RB 1/20/07
	Check_Pointer(DPLRenderer::DPLHeap);
	return DPLRenderer::DPLHeap->Allocate(n_bytes);
	*/
	return NULL;
}

void *dpl_calloc(size_t n, size_t n_bytes)
{
	/*STUBBED: DPL RB 1/20/07
	Check_Pointer(DPLRenderer::DPLHeap);
	void *p	= DPLRenderer::DPLHeap->Allocate(n * n_bytes);
	memset(p, 0x0, n_bytes * n);
	return p;
	*/
	return NULL;
}

void dpl_free(void *ptr)
{
	/*STUBBED: DPL RB 1/20/07
	Check_Pointer(DPLRenderer::DPLHeap);
	DPLRenderer::DPLHeap->Release(ptr);
	*/
}

void dpl_free_all()
{
	/*STUBBED: DPL RB 1/20/07
	Check_Pointer(DPLRenderer::DPLHeap);
	DPLRenderer::DPLHeap->ReleaseAll();
	*/
}
